2008年11月12日水曜日

Services_HyperEstraier(PHP)を使うにはPEAR_ErrorStackが必要

スズキです。

全文検索エンジンの"Hyper Estraier"を
http://hyperestraier.sourceforge.net/index.ja.html
PHPから利用しようとして、Services_HyperEstraierを
http://page2.xrea.jp/#Services_HyperEstraier
導入したのですが、サンプルを実行すると、
PEAR_ErrorStackがない!って怒られてしまいました。

PEARに依存しているようです。
"suz-php-jquery"はPEARに依存するつもりはなかったのですが、
仕方ないので、下記よりダウンロードして、
http://pear.php.net/package/PEAR/download
PEAR/ErrorStack.phpのみプロジェクトに導入しました。

これで、問題なくサンプルが動きます!

--
http://suz-lab.blogspot.com/

0 コメント: